[IPython-User] [nbconvert] convert to html raise IOError

Francesco Montesano franz.bergesund@gmail....
Thu Feb 14 10:34:44 CST 2013


2013/2/14 Matthias BUSSONNIER <bussonniermatthias@gmail.com>

>
> Le 14 févr. 2013 à 17:03, Francesco Montesano a écrit :
>
> > Dear Ipython,
> >
> > I am trying to convert an ipython notebook to share it with a colleague.
> > I'm using master 5cc2804.
> >
> > 1) The easiest would be a pdf. The README file claims that
> >
> > nbconvert provides command line utilities to convert to and from IPython
> > notebooks and standard formats:
> > [...]
> > -   PDF
> >
> > but if I do `nbconvert -f pdf nb.ipynb` I get
> > Unknown format 'pdf', known formats are: latex, markdown, reveal, py,
> blogger-html, html, rst (default)
> >
> > Which one is correct? Probably the README should be corrected taking out
> pdf (I can do it)
>
> Yes, readme is wrong.
>
I can take it out and do a pull request


>
> > 2) next option: latex. It's great, except for the fact cells are float,
> and so I have some of the markdown and heading cells that are displaced
> after or before the place they should be. (This is latex, I know :) )
>
> Are they ? You could probably open an issue with minimal example so that
> we can see what can be done.
> I think the goal is to keep cell in the order they appear.
>

I try to do something going home tonight


>
> > 3) next option (and probably the most natural) would be a html. But if I
> try I get the error at the end of this mail. I use ipython 0.13.1.rc2
> shipped with Ubuntu Quantal.
>
> Is it julian Taylor PPA ? Last IPython master have a refactoring of css
> that moved files around, but it should fail on fbm.css and not boilerplate
> IIRC
> Still it should work on 0.13.1 version.
> Maybe Ubuntu ship boilerplate.css somewhere else in another package...
>
> Can you tell us the content of
> /usr/lib/python2.7/dist-packages/IPython/frontend/html/notebook/static/css
> if there is a style.min.css it imply you are on dev version of IPython
>
> Do you have a
> /usr/lib/python2.7/dist-packages/IPython/frontend/html/notebook/static/less
> folder? (Yes imply you are on dev version also)


I *don't* have a
/usr/lib/python2.7/dist-packages/IPython/frontend/html/notebook/static
(I probably should have checked before). Thomas Kluyver is right:

>>> ls /usr/share/ipython/notebook/static/
codemirror  css  dateformat  favicon.ico  ipynblogo.png
 IPy_Notebook_logo.svg  jquery  js  pagedown  prettify

I can build ipython 0.13.1 or master from source and do a `install --user`.
Do I remember well that if I build from master I need jinja to run the
notebook?


> > Do anyone knows what's going on? (Do I have to change version of
> Ipython?)
>
> We are rebuilding nbconvert from scratch right now, you can look at the
> "jinja template" Pull request if you want, but it is still experimental.


What do you mean?


>
If you can share your notebook isn't
> http://nbviewer.ipython.org/
> enough to share ?
>
I'm working with data of a collaboration not yet public, so I prefer avoid
nbviewer

thanks,

Francesco

--
> Matthias
>
> _______________________________________________
> IPython-User mailing list
> IPython-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-user
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-user/attachments/20130214/b358467f/attachment.html 


More information about the IPython-User mailing list